# Method: orders.lines.book

- [HTTP request](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/orders.lines/book#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/orders.lines/book#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/orders.lines/book#body.request_body)
  - [JSON representation](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/orders.lines/book#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/orders.lines/book#body.response_body)
- [Authorization Scopes](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/orders.lines/book#body.aspect)
- [Examples](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/orders.lines/book#examples)

Books an existing line.

- Returns the updated line if successful.
- Returns error code `NOT_FOUND` if the line does not exist.
- Returns error code `INVALID_ARGUMENT` if lineTerms is not set.
- Returns error code `FAILED_PRECONDITION` if lineState is not `LINE_STATE_PENDING_BOOKING`.

### HTTP request

`POST https://dv360outofhomeseller.googleapis.com/v1beta1/{name=orders/*/lines/*}:book`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The field will contain name of the line to be booked, for example: "orders/123/lines/321" |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "lineTerms": { object (`https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/LineTerms`) } } ``` |

| Fields ||
|---|---|
| `lineTerms` | ``object (`https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/LineTerms`)`` Optional. The seller guaranteed terms for this line. Only have to be provided if the terms change after the line was reserved. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/orders.lines#Line`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/doubleclickbidmanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).